Bug 121952 - A sequence of X commands in an enhanced-path needs to toggle x- and y-direction
Summary: A sequence of X commands in an enhanced-path needs to toggle x- and y-direction
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-06 22:14 UTC by Regina Henschel
Modified: 2019-11-04 17:00 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Example with three quarter circles (9.36 KB, application/vnd.oasis.opendocument.graphics)
2018-12-06 22:14 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2018-12-06 22:14:01 UTC
Created attachment 147337 [details]
Example with three quarter circles

The command X in the enhanced-path of a custom shape geometry toggles x- and y-direction, see table 10 in section 19.145draw:enhanced-path
http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.html#attribute-draw_enhanced-path

PowerPoint and Karbon renders it this way, but LibreOffice uses always x-direction.
Comment 1 Regina Henschel 2018-12-18 15:18:10 UTC
Proposed patch is in https://gerrit.libreoffice.org/#/c/65203/
Comment 2 Commit Notification 2018-12-23 21:43:19 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a4c46ceec433edf0c5de03ea8d36857a455cafd2%5E%21

tdf#121761, tdf#121952 Accurate ellipsequadrant in custom shape

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Regina Henschel 2018-12-30 17:21:23 UTC
See fix in Version: 6.3.0.0.alpha0+ (x64)
Build ID: 49fcd3bbb30f93763fc5cb80fa6ac5cec5d00834
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-12-24_22:40:25
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded